Package twisted :: Package web :: Module widgets :: Class WebWidgetNodeMutator |
[frames | no frames]

## Class WebWidgetNodeMutator

    NodeMutator --+
                  |
                 WebWidgetNodeMutator

A WebWidgetNodeMutator replaces the node that is passed in to generate with the result of generating the twisted.web.widget instance it adapts.

Method Summary
| `generate(self, request, node)`
Inherited from NodeMutator
| ``__init__`(self, data)`

Class Variable Summary
Inherited from NodeMutator
`tuple` | `__implements__` = `(<class twisted.web.woven.template.INod...`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net